Subject: Re: bug#51361: 28.0.60; NS toolbar icons are too big and low res

From: Alan Third <[email-masked]>
Date: Tue, 26 Oct 2021 11:58:43 +0100

On Tue, Oct 26, 2021 at 06:32:36PM +0800, Po Lu wrote:
> Alan Third <[email-masked]> writes:
> 
> > Yeah, and GTK uses the same scaling scheme as macOS.
> 
> At least on the high-dpi displays I've seen, I've never seen this sort
> of effect on GTK builds.

I'm not sure what you mean.

Emacs only supplies lores icons. GTK scales up the size of the toolbar
according to the scale settings. Therefore GTK Emacs will have lores
icons that are scaled up by the scaling factor in its toolbar.

This is identical to how cocoa and GNUstep handle it.

The exception is where GTK uses other, non-emacs, icons, which is
quite common.
-- 
Alan Third